package com.zd.system.api.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 模块权限实体类
 * 只保留菜单权限数据（不含按钮以及目录数据）
 * @author liubo
 * @date 2022-02-23
 */
public class SysPermitInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 菜单ID
     */
    private Long menuId;

    /**
     * 权限标识
     */
    private String menuPerms;

    /**
     * 数据范围（1：全部数据权限 2：本部门以及下级部门 3：本部门以及指定部门（指定部门关联表中查询） 4：仅本人）
     */
    private Integer dataScope;

    /**
     * 数据范围=3时使用
     */
    private List<Long> deptIds = new ArrayList<>();

    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }

    public String getMenuPerms() {
        return menuPerms;
    }

    public void setMenuPerms(String menuPerms) {
        this.menuPerms = menuPerms;
    }

    public Integer getDataScope() {
        return dataScope;
    }

    public void setDataScope(Integer dataScope) {
        this.dataScope = dataScope;
    }

    public List<Long> getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(List<Long> deptIds) {
        this.deptIds = deptIds;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
